%define		realname		bzip2
Summary:	Extremely powerful file compression utility - MinGW32 cross version
Summary(es.UTF-8):	Un compresor de archivos con un nuevo algoritmo
Summary(fr.UTF-8):	Utilitaire de compression de fichier extrêmement puissant
Summary(pl.UTF-8):	Kompresor plików bzip2 - wersja skrośna dla MinGW32
Summary(pt_BR.UTF-8):	Compactador de arquivo extremamente poderoso
Summary(uk.UTF-8):	Компресор файлів на базі алгоритму блочного сортування
Summary(ru.UTF-8):	Компрессор файлов на основе алгоритма блочной сортировки
Name:		crossmingw32-%{realname}
Version:	1.0.8
Release:	1
License:	BSD-like
Group:		Applications/Archiving
Source0:	https://sourceware.org/pub/bzip2/%{realname}-%{version}.tar.gz
# Source0-md5:	67e051268d0c475ea773822f7500d0e5
Patch0:		%{name}.patch
URL:		https://sourceware.org/bzip2/
BuildRequires:	crossmingw32-gcc
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional
LZ77/LZ78-based compressors, and approaches the performance of the PPM
family of statistical compressors. The command-line options are
deliberately very similar to those of GNU Gzip, but they are not
identical.

%description -l es.UTF-8
Bzip2 es un programa de compresión/descompresión. Típicamente el
archivo compactado queda entre 20 la 30 por ciento menor de que se
fuera compactado con gzip. Observa que bzip2 no entiende los archivos
del bzip original, ni los archivos del gzip.

%description -l fr.UTF-8
Bzip2 compresse des fichiers en utilisant l'algorithme de compression
en tri de blocks de texte Burrows-Wheeler, et le codage Huffman. La
compression est considérablement meilleure que celle effectuée par les
plus conventionels compresseurs basés sur LZ77/LZ78, et approche la
performance de la famille PPM de compresseurs statistiques.

%description -l pl.UTF-8
Kompresor bzip2 używa algorytmu Burrows-Wheelera do kompresji danych i
metody Huffmana do ich kodowania. Kompresja pliku czy archiwum tar
jest z reguły lepsza niż w przypadku stosowania klasycznych
kompresorów LZ77/LZ78. Opcje linii poleceń są bardzo podobne do
poleceń GNU Gzip ale nie są identyczne.

%description -l pt_BR.UTF-8
Bzip2 é um programa de compressão/descompressão. Tipicamente o arquivo
compactado fica 20 a 30 por cento menor do que se fosse compactado com
o gzip.

Note que o bzip2 não entende os arquivos do bzip original, nem os
arquivos do gzip.

%description -l ru.UTF-8
bzip2 компрессирует файлы используя компрессирующий текстовый алгоритм
блочной сортировки Burrows-Wheeler и кодирование Huffman'а.
Достигаемая компрессия обычно существенно лучше достигаемой более
привычными компрессорами на основе LZ77/LZ78 и приближается к той,
которую обеспечивает семейство статистических компрессоров PPM.

%description -l uk.UTF-8
bzip2 компресує файли використовуючи текстовий алгоритм блочного
сортування Burrows-Wheeler та кодування Huffman'а. Компресія, яка
досягається bzip2, як правило краща за ту, що забезпечують
розповсюджені компресори на базі LZ77/LZ78 і наближається до тої, що
її забезпечує сімейство статистичних компресорів PPM.

%package static
Summary:	Static bzip2 library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka bzip2 (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static bzip2 library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka bzip2 (wersja skrośna MinGW32).

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl.UTF-8):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
%{realname} - DLL library for Windows.

%description dll -l pl.UTF-8
%{realname} - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
%{__make} \
	AR="%{target}-ar" \
	RANLIB="%{target}-ranlib" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall \$(BIGFILES)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_dlldir}}

install *.h $RPM_BUILD_ROOT%{_includedir}
install *.a $RPM_BUILD_ROOT%{_libdir}
install *.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# for compatibility
ln -sf libbz2.a $RPM_BUILD_ROOT%{_libdir}/libbzip2.a
ln -sf libbz2.dll.a $RPM_BUILD_ROOT%{_libdir}/libbzip2.dll.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libbz2.dll.a
%{_libdir}/libbzip2.dll.a
%{_includedir}/bzlib*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libbz2.a
%{_libdir}/libbzip2.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/bzip2.dll
%changelog
* Fri Aug 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-bzip2.git;a=log;h=master

* Mon Jul 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 7e38a75
- updated to 1.0.8
- updated patch

* Fri Jun 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 5a2e43c
- updated to 1.0.7 (fixes CVE-2019-12900)

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 49049d1
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 142c4a2
- adjusted patch instead of spec hacking
- store both WINAPI-style and stdcall symbols, so that simple configure checks work

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 0f148b4
- most of unix-originated software expects libbz2, not libbzip2, so provide both to linker
- release 2

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> 678de69
- reverted previous bogus change (too old gcc)

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> 246fade
- filter out some compiler and linker flags

* Thu Sep 23 2010 Jakub Bogusz <qboosh@pld-linux.org> dae882f
- updated to 1.0.6 (fixes CVE-2010-0405)

* Sat Mar 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 411c00c
- updated to 1.0.5 (fixes CVE-2005-1260 CVE-2008-1372)
- unified crossmingw32 spec style, added -static

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ee87feb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 65749fd
- converted to UTF-8

* Sun Sep 19 2004 wolf <wolf@pld-linux.org> e044f10
- rel 2
- unified

* Sun Sep 19 2004 wolf <wolf@pld-linux.org> 2304a71
- alphasparc fix

* Mon Dec 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 33b831d
- updated to 1.0.2, updated patch, fixed files, don't include PE executables

* Mon Dec 01 2003 Jakub Bogusz <qboosh@pld-linux.org> e4294c2
- updated for 1.0.2

* Fri Aug 29 2003 ankry <ankry@pld-linux.org> e6e945f
- sync summaries / descriptions; some BR fixed

* Wed Aug 27 2003 ggodlewski <ggodlewski@pld-linux.org> 190fa75
- 1st rel

* Wed Aug 27 2003 ggodlewski <ggodlewski@pld-linux.org> 7238e90
- cross compilation patch

